Bug 167434 - policy update removes effects from local.te customizations
policy update removes effects from local.te customizations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 12:23 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.27.1-2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 10:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-09-02 12:23:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
I've added some custom rules to local.te to address bug 151656, but every time there's a selinux-policy-targeted{,-sources} update, the customization is no longer in effect.  I have to recompile, reinstall and reload the policy in order for my customizations to take effect.  This is clearly sub-optimal.  On the good side, local.te is preserved, so it's just a matter of re-running the Makefile commands.

That said, so far the only situation in which I ran into this problem, my local.te was much newer than the installed selinux-policy update, so I fear the policy might not even look outdated after the next update.

Version-Release number of selected component (if applicable):
policycoreutils-1.23.11-3.2 selinux-policy-targeted-1.25.4-10

How reproducible:
Always

Steps to Reproduce:
1.Add custom rules to local.te
2.Reload policy and verify that they work
3.Update policy to say the version listed above
4.Verify that the rules work again

Actual Results:  They don't work any more

Expected Results:  They should

Additional info:
Comment 1 Daniel Walsh 2005-09-27 15:55:38 EDT
Are you still seeing this behavior?  I can not reproduce.

Dan
Comment 2 Daniel Walsh 2005-10-17 14:14:24 EDT
Fixed in selinux-policy-*-1.27.1-2.6
Comment 3 Alexandre Oliva 2005-10-28 10:16:50 EDT
Confirmed fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.